    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.util.Enumeration

public interface Enumeration

An object that implements the Enumeration interface generates a series of elements, one at a time. Successive calls to the `nextElement` method return successive elements of the series.

For example, to print all elements of a vector v:

>          for (Enumeration e = v.elements() ; e.hasMoreElements() ;) {
>              System.out.println(e.nextElement());

>          }

Methods are provided to enumerate through the elements of a vector, the keys of a hashtable, and the values in a hashtable. Enumerations are also used to specify the input streams to a `SequenceInputStream`.

See Also:
  SequenceInputStream, nextElement, Hashtable, elements, keys, Vector, elements

##

hasMoreElements()
  Tests if this enumeration contains more elements.
nextElement()
  Returns the next element of this enumeration.

##

hasMoreElements

     public abstract boolean hasMoreElements()

  Tests if this enumeration contains more elements.

  Returns:
    `true` if this enumeration contains more elements; `false` otherwise.

nextElement

     public abstract Object nextElement()

  Returns the next element of this enumeration.

  Returns:
    the next element of this enumeration.
  Throws: NoSuchElementException
    if no more elements exist.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.